## cascading.management
Interface UnitOfWork<Stats extends CascadingStats>

All Known Subinterfaces:
  Flow<Config>

All Known Implementing Classes:
  BaseFlow, Cascade

    public interface UnitOfWork<Stats extends CascadingStats>

Interface UnitOfWork is a common interface for `Flow` and `Cascade` allowing them to be used interchangeably.

Method Summary
`void` `cleanup()`
`void` `complete()`
`String` `getID()`
`String` `getName()`
`UnitOfWorkSpawnStrategy` `getSpawnStrategy()`
`Stats` `getStats()`
`String` `getTags()`
`void` `prepare()`
`void` `setSpawnStrategy(UnitOfWorkSpawnStrategy spawnStrategy)`
`void` `start()`
`void` `stop()`

Method Detail

### getName

    String getName()

### getID

    String getID()

### getStats

    Stats getStats()

### getTags

    String getTags()

### prepare

    void prepare()

### start

    void start()

### stop

    void stop()

### complete

    void complete()

### cleanup

    void cleanup()

### setSpawnStrategy

    void setSpawnStrategy(UnitOfWorkSpawnStrategy spawnStrategy)

### getSpawnStrategy

    UnitOfWorkSpawnStrategy getSpawnStrategy()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.